#
# Conditional build:
%bcond_without	apidocs		# API documentation
#
Summary:	RDMA abstraction layer
Summary(pl.UTF-8):	Warstwa abstrakcji RDMA
Name:		mooshika
Version:	1.1
Release:	1
License:	LGPL v3+
Group:		Libraries
#Source0Download: https://github.com/martinetd/mooshika/tags
Source0:	https://github.com/martinetd/mooshika/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	605458d69e0bef138f768dd6a6f7593f
URL:		https://github.com/martinetd/mooshika
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libibverbs-devel
BuildRequires:	libpcap-devel
BuildRequires:	librdmacm-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	rpm-build >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RDMA helper library.

%description -l pl.UTF-8
Biblioteka pomocnicza RDMA.

%package rmitm
Summary:	RDMA man-in-the-middle and replay tool
Summary(pl.UTF-8):	Narzędzia RDMA man-in-the-middle oraz replay
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description rmitm
RDMA man-in-the-middle and replay tool.

%description rmitm -l pl.UTF-8
Narzędzia RDMA man-in-the-middle oraz replay.

%package devel
Summary:	Header files for mooshika library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mooshika
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librdmacm-devel

%description devel
Header files for mooshika library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki mooshika.

%package apidocs
Summary:	API documentation for mooshika library
Summary(pl.UTF-8):	Dokumentacja API biblioteki mooshika
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for mooshika library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki mooshika.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

cd doc/man
a2x -fmanpage rcat.1.txt
a2x -fmanpage rmitm.1.txt
a2x -fmanpage rreplay.1.txt
cd ../..

%if %{with apidocs}
doxygen doc/doxygen.conf
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmooshika.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/rcat
%attr(755,root,root) %{_libdir}/libmooshika.so.*.*.*
%ghost %{_libdir}/libmooshika.so.6
%{_mandir}/man1/rcat.1*

%files rmitm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rmitm
%attr(755,root,root) %{_bindir}/rreplay
%{_mandir}/man1/rmitm.1*
%{_mandir}/man1/rreplay.1*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libmooshika.so
%{_includedir}/mooshika.h
%{_pkgconfigdir}/libmooshika.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/DESIGN doc/doxygen/html/*
%endif
%changelog
* Thu Apr 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mooshika.git;a=log;h=master

* Thu Apr 24 2025 Jakub Bogusz <qboosh@pld-linux.org> 17a6d16
- new

